## -*- coding: utf-8 -*-
<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<%def name="jsAddOn()">
  <script src="/vendor/ckeditor/ckeditor.js"></script>
  <script src="/vendor/select2/js/select2.js"></script>
  <script src="/vendor/fileupload/js/jquery-uploader.min.js"></script>
</%def>
<%def name="cssAddOn()">
  <link rel="stylesheet" href="/vendor/select2/css/select2.css" type="text/css" media="screen" />
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload.css">
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui.css">
  <link rel="stylesheet" href="/vendor/leaflet/css/leaflet.css" />  
  <!-- CSS adjustments for browsers with JavaScript disabled -->
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-noscript.css"></noscript>
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui-noscript.css"></noscript>  
</%def>
<% from datetime import datetime %>
<style>
.borderbox {
    border: 1px solid #e1e4e5;
    margin: 1px 0 24px;
    color: #404040;
    line-height: 1.5;
    margin: 0;
    overflow: auto;
    padding: 12px;
    background: none repeat scroll 0 0 #fcfcfc;
    font-family: "Lato","proxima-nova","Helvetica Neue",Arial,sans-serif;
}
.titleborderbox {
    background: none repeat scroll 0 0 #ffffff;
    border: 1px solid #eee;
    display: inline;
    left: 16px;
    padding: 2px 7px;
    position: relative;
    top: 10px;
}
.borderboxtime {
    float:right;
    padding:1px 15px;
    border: 1px solid #eee;
}
</style>

% if 'uid' in form._fields:
    <div class="borderboxtime">
    ${event.start_time.strftime('%d %b %Y').decode('utf-8')} -
    ${event.start_time.strftime('%H:%M')} à ${event.end_time.strftime('%H:%M')}
    %if event.Salle:
        - <strong>Salle</strong>: ${event.Salle.name}
    %endif
    </div>
%endif
<h3 style="line-height:30px;">${form.event_type.data}</h3>
% if 'uid' in form._fields:
    <div class="borderbox">
        Intrevenants programmés:
        <ul>
        % if event.intervenants.count()==0:
            <i><b>Aucun</b></i>
        % else:
            % for num, iterv in enumerate(event.intervenants):
                <li>
                    <strong><a href="/MesJM2L?user=${iterv.uid}">${iterv.prenom} ${iterv.nom}</a></strong>. 
                    % if iterv.pseudo:
                        (${iterv.pseudo})
                    %endif
                </li>
            % endfor
        % endif
        </ul>
    </div>
        <a href="/event/${event.for_year}/${event.slug}" class="pull-right">Voir la version publiée de cet évenement</a>    
<br clear="both">
%endif
<fieldset>
    <legend>Proposer un événement</legend>
    <form action="" method="POST">
        ${form.csrf_token}
        % if 'uid' in form._fields:
            ${form.uid}
        %endif
        ${form.start_time}
        ${form.end_time}

<%
DicForm = {
    'for_year':    {'PlaceHolder':u"Année",       'ContainerStyle':"padding-right:5px;float:left;",  },
    'event_type':  {'PlaceHolder':u"Nom",         'ContainerStyle':"padding-right:5px;",             },
    'start_sel':   {'PlaceHolder':u"Début",       'ContainerStyle':"padding-right:15px;float:left;", "FieldStyle":"width:15em;"},
    'duration':    {'PlaceHolder':u"Durée",       'ContainerStyle':"padding-right:15px;float:left;", "FieldStyle":"width:15em;"},
    'salle_uid':   {'PlaceHolder':u"Salle",       'ContainerStyle':"padding-right:15px;",            "FieldStyle":"width:15em;"},
    'name':        {'PlaceHolder':u"Nom",         'ContainerStyle':"padding-right:5px;",             "FieldStyle":"width:95%;"},
    'description': {'PlaceHolder':u"Description", 'ContainerStyle':"padding-right:5px;",             "FieldStyle":"width:90%;height:500px;", "ckeditor":1 },
    } 
%>

    ${helpers.DisplayForm(form, DicForm)}
        <button type="submit">Proposer</button>
    </form>
    
</fieldset>

    % if 'uid' in form._fields:
<fieldset>
    <legend>Vos support de présentation</legend>
        <div style="float:right;width:60%">
            <p> En plus de vos support de présentation classique.
            Pensez aussi aux affiches, aux flyers, aux stickers,
            au bulletin d'adhésion à une association, à la documentation technique...
            Tous ce qui peut être utile, de près ou de loin à la promotion de votre évenement.
            </p>
        </div>
        ${helpers.uploader("event", form.uid.data, u"un support de présentation" )}
</fieldset>
    %else:
        <p>NB: Vous devez proposer votre conférence avant de pouvoir
        téléverser votre support de présentation.
        </p>
    % endif

% if 'uid' in form._fields:
<fieldset>
    <legend>Ajouter vos co-intervenants</legend>
    <p>
        Vous avez la possibilité d'être plusieurs pour un même évenement.
        Pour enregistrer une autre personne, deux cas peuvent se présenter:
        <ul>
            <li>Votre partenaire n'est pas inscrit sur le site</li>
                <p>
                Inscrivez son email avec son accord dans le champ suivant,
                Un mail lui sera envoyé pour qu'il procède à son inscription.
                Un fois son inscription effectué, reportez vous au deuxième cas.
                </p>
            <li>Votre partenaire est inscrit sur le site</li>
                <p>
                Demandez lui l'email utilisé lors de son inscription sur le site des JM2L.
                Complétez le champ suivant et validez.
                </p>
        </ul>
        Notez que les intervenants d'un même évenement ont tous les droits de modification.
    </p>
    <form action="/MesJM2L/${form.for_year.data}/${form.event_type.data}/link" method="POST">   
${formAdd.event_uid}
<%
TabFields = [
    ( formAdd._fields["prenom"],    u"Prénom",            "padding-right:5px;float:left;" ),
    ( formAdd._fields["nom"],       u"Nom",               "padding-right:5px;" ),
    ( formAdd._fields["email"],     u"son.mail@fqdn.tld", "padding-right:5px;" ),
]
%>    
% for Field, PlaceHolder, DivClass in TabFields:
    <div style="padding-right:5px;${DivClass}">
        <label for="${Field.label.field_id}">${Field.label.text}
            % if len(Field.description):
                <a id="${Field.label.field_id}-help" data-toggle="popover"
                    data-original-title="${Field.label.text}"
                    data-content="${Field.description}">
                    <i class="icon-me" style="background-image: url('/img/Help.png');background-position:1px 2px;"></i>
                </a>
            % endif
        </label>
        % for error in Field.errors:
            <div class="alert alert-error">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                <h4>Erreur!</h4>
                ${ error }
            </div>
        % endfor
        ${Field(placeholder=PlaceHolder, style="width:16em;")}        
    </div>
% endfor
        ## Then the submit for this form
        ${formAdd.add}
    </form>
</fieldset>
<div class="clearfix">&nbsp;</div>
    <p style="float:right;">Créé le ${event.created.strftime('%d %b %Y').decode('utf-8')}</p>
%else:
    <p style="float:right;">Créé le  
        ${datetime.now().strftime('%d %b %Y').decode('utf-8')}
    </p>
% endif
<br/>
<hr/>

% if 0:
    % if 'uid' in form._fields:
        ${helpers.uploader_js()}
    % endif
    <script type="text/javascript">
    ## Handle Popover of this form
    % for field in form._fields.keys():
        
        $('#${field}-help').popover();
        % if form._fields[field].type=='SelectField':
        $('#${field}').select2({width:'resolve'});
        % endif
    %endfor
    % if formAdd:
        % for field in formAdd._fields.keys():
            $('#${field}-help').popover();
        %endfor
    % endif
    var editor = CKEDITOR.replace('description', { autoGrow_onStartup: true, language: 'fr' } );
    </script>
% else:
<%
for jsitem in form._fields.keys():
    context._kwargs['postpone_js'].append( "$('#%s-help').popover();" % jsitem )
    if form._fields[jsitem].type=='SelectField':
        context._kwargs['postpone_js'].append( "$('#%s').select2({width:'resolve'});" % jsitem )
if formAdd:
    for jsitem in formAdd._fields.keys():
        context._kwargs['postpone_js'].append( "$('#%s-help').popover();" % jsitem )
%>
${helpers.uploader_js()}
% endif